Upgrade build plugin versions

Description

Upgrade the plugin versions to latest stable version available:

maven-compiler-plugin: 3.2 -> 3.7.0
maven-enforcer-plugin: 1.4 -> 1.4.1
maven-surefire-plugin: 2.18.1 -> 2.21.0
maven-surefire-report- plugin: 2.18.1 -> 2.21.0
maven-project-info-reports-plugin: 2.8 -> 2.9
maven-javadoc-plugin: 2.10.3 -> 3.0.0
maven-source-plugin: 2.4 -> 3.0.1
maven-resources-plugin: 2.7 -> 3.0.2
maven-release-plugin: 2.5.1 -> 2.5.3
maven-assembly-plugin: 2.5.3 -> 3.1.0
maven-dependency-plugin: 2.10 -> 3.0.2
maven-site-plugin: 3.4 -> 3.7
cobertura-maven-plugin: 2.6 -> 2.7

Assignee

Unassigned

Reporter

Mauro Talevi

Labels

None

Fix versions

Priority

Lowest
Configure